{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/form.html.twig" as f %}
{% block moreCss %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/froala_editor.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/froala_style.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/code_view.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/colors.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/draggable.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/emoticons.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/image_manager.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/image.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/line_breaker.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/table.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/char_counter.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/video.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/fullscreen.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/file.min.css') }} ">
    <link rel="stylesheet" href="{{ asset('froalla/plugins/css/quick_insert.min.css') }} ">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.3.0/codemirror.min.css">
{% endblock %}

{% block body %}
    <form method="post">
        <input type="text" name="subjectId" value="{{ subject }}" class="d-none"/>
        <input type="text" name="action" value="editor" class="d-none"/>
        <input type="text" name="id" value="{{ quiz.id }}" class="d-none"/>
        <div class="card-genossys">
            <div class="row" style="margin-bottom: 10px">
                <div class="col-md-6">
                    <h5>Naskah soal</h5>
                </div>
                <div class="col-md-6 right-content">
                    <button name="save" type="submit" class="btn btn-primary float-right">Simpan & Keluar</button>
                    <button type="button" class="btn btn-success float-right" data-toggle="modal" data-target="#Modal">
                        Preview
                    </button>
                </div>
            </div>
            <div class="form-group">
                <input name='topic' class="form-control" type="text" value="{{ quiz.topic }}"
                       placeholder="Topik Soal Ex : Aljabar, Algoritma or etc"/>
            </div>
            <label>Soal : </label>
            <textarea id='1' name="question_editor" data-target="question" style="margin: 30px 0px;">
                {{ quiz.question }}
            </textarea>
            <textarea name="question" class="d-none">{{ quiz.question }}</textarea>
            {% set letter = ["A", "B", "C", "D","E"] %}
            {% for key, option in quiz.options %}
                <textarea name="answer{{ letter[key] }}" class="d-none">{{ option['option'] }}</textarea>
                <div class="form-group row mt-3">
                    <label class="col-sm-2 col-form-label">Skor jawaban {{ letter[key] }}: </label>
                    <div class="col-sm-6">
                        <input name='answer{{ letter[key] }}Score' class="form-control" type="text"
                               value="{{ option['score'] }}"/>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Pilihan jawaban {{ letter[key] }} : </label>
                    <textarea id="{{ key + 2 }}" name="answer{{ letter[key] }}_editor" data-target="answerA"
                              class="col-sm-10"
                              style="margin-top: 30px;">
                        {{ option['option'] }}
                </textarea>
                </div>
            {% endfor %}
            <textarea name="answerB" class="d-none"></textarea>
            <textarea name="answerC" class="d-none"></textarea>
            <textarea name="answerD" class="d-none"></textarea>
            <textarea name="answerE" class="d-none"></textarea>
            <textarea name="explanation" class="d-none"> {{ quiz.explanation }}</textarea>

            {#            <div class="form-group row mt-3">#}
            {#                <label class="col-sm-2 col-form-label">Skor jawaban A: </label>#}
            {#                <div class="col-sm-6">#}
            {#                    <input name='answerAScore' class="form-control" type="text" value="0"/>#}
            {#                </div>#}
            {#            </div>#}
            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Pilihan jawaban A : </label>#}
            {#                <textarea id='2' name="answerA_editor" data-target="answerA" class="col-sm-10"#}
            {#                          style="margin-top: 30px;">#}
            {#                </textarea>#}
            {#            </div>#}


            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Skor jawaban B: </label>#}
            {#                <div class="col-sm-6">#}
            {#                    <input name='answerBScore' class="form-control" type="text" value="0"/>#}
            {#                </div>#}
            {#            </div>#}
            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Pilihan jawaban B : </label>#}
            {#                <textarea name="answerB_editor" data-target="answerB" id='3' class="col-sm-10"#}
            {#                          style="margin-top: 30px;">#}
            {#                </textarea>#}
            {#            </div>#}

            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Skor jawaban C: </label>#}
            {#                <div class="col-sm-6">#}
            {#                    <input name='answerCScore' class="form-control" type="text" value="0"/>#}
            {#                </div>#}
            {#            </div>#}
            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Pilihan jawaban C : </label>#}
            {#                <textarea id='4' name="answerC_editor" data-target="answerC" class="col-sm-10"#}
            {#                          style="margin-top: 30px;">#}
            {#                </textarea>#}
            {#            </div>#}

            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Skor jawaban D: </label>#}
            {#                <div class="col-sm-6">#}
            {#                    <input name='answerDScore' class="form-control" type="text" value="0"/>#}
            {#                </div>#}
            {#            </div>#}
            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Pilihan jawaban D : </label>#}
            {#                <textarea name="answerD_editor" data-target="answerD" id='5' class="col-sm-10"#}
            {#                          style="margin-top: 30px;">#}
            {#                </textarea>#}
            {#            </div>#}


            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Skor jawaban E: </label>#}
            {#                <div class="col-sm-6">#}
            {#                    <input name='answerEScore' class="form-control" type="text" value="0"/>#}
            {#                </div>#}
            {#            </div>#}
            {#            <div class="form-group row">#}
            {#                <label class="col-sm-2 col-form-label">Pilihan jawaban E : </label>#}
            {#                <textarea name="answerE_editor" data-target="answerE" id='6' class="col-sm-10"#}
            {#                          style="margin-top: 30px;">#}
            {#                </textarea>#}
            {#            </div>#}

            <label class="col-sm-2 col-form-label">Pembahasan: </label>
            <textarea id='7' name="explanation_editor" data-target="explanation" class="col-sm-12"
                      style="margin-top: 30px;">
                {{ quiz.explanation }}
            </textarea>
        </div>
    </form>
    <div class="p-3">

    </div>
    <div class="modal fade" id="Modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document" style="max-width: 50%">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">PREVIEW</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div id="fr-1" class="fr-view card card-body mb-2">
                        {{ quiz.question|raw }}
                    </div>
                    <div class="ml-2">
                        <div class="card card-body mb-2" id="fr-2">{{ quiz.options[0]['option'] }}</div>
                        <div class="card card-body mb-2"  id="fr-3">{{ quiz.options[1]['option'] }}</div>
                        <div class="card card-body mb-2"  id="fr-4">{{ quiz.options[2]['option'] }}s</div>
                        <div class="card card-body mb-2"  id="fr-5">{{ quiz.options[3]['option'] }}</div>
                        <div class="card card-body mb-2"  id="fr-6">{{ quiz.options[4]['option'] }}</div>
                    </div>

                    <div id="fr-7" class="mt-2"></div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
    <script type="text/javascript"
            src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.3.0/codemirror.min.js "></script>
    <script type="text/javascript"
            src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.3.0/mode/xml/xml.min.js"></script>

    <script type="text/javascript" src="{{ asset('froalla/plugins/js/froala_editor.min.js') }} "></script>

    <script type="text/javascript" src="{{ asset('froalla/plugins/js/align.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/code_beautifier.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/code_view.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/colors.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/draggable.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/emoticons.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/font_size.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/font_family.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/image.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/file.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/image_manager.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/line_breaker.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/link.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/lists.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/paragraph_format.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/paragraph_style.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/video.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/table.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/url.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/entities.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/char_counter.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/inline_style.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/save.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/fullscreen.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/quote.min.js') }} "></script>
    <script type="text/javascript" src="{{ asset('froalla/plugins/js/quick_insert.min.js') }} "></script>


    <script src="{{ asset('froalla/@wiris/mathtype-froala3/wiris.js') }} "></script>
    <script>
        (function () {
            function callback() {
                var id = $(this).attr("id");
                var textID = $("textarea#" + id);
                var textName = textID.data('target');
                var data = this.el.innerHTML;
                $("[name=" + textName + "]").val(data);
                $("#fr-" + id).html(data);
            }

            new FroalaEditor('[name=question_editor], [name=answerA_editor], [name=answerB_editor], [name=answerC_editor], [name=answerD_editor] , [name=answerE_editor], [name=explanation_editor]', {
                events: {
                    contentChanged: callback,
                },
                imageUploadURL: "{{ path('tryout_images') }}",
                toolbarButtons: {
                    moreText: {
                        buttons: ['bold', 'italic', 'underline', 'wirisEditor', 'wirisChemistry', 'strikeThrough', 'subscript', 'superscript', 'fontFamily', 'fontSize', 'textColor', 'backgroundColor', 'inlineClass', 'inlineStyle', 'clearFormatting'],
                        align: 'left',
                        buttonsVisible: 5
                    },


                    moreParagraph: {
                        buttons: ['alignLeft', 'alignCenter', 'formatOLSimple', 'alignRight', 'alignJustify', 'formatOL', 'formatUL', 'paragraphFormat', 'paragraphStyle', 'lineHeight', 'outdent', 'indent', 'quote'],
                        align: 'left',
                        buttonsVisible: 3
                    },

                    moreRich: {
                        buttons: ['insertLink', 'insertImage', 'insertVideo', 'insertTable', 'emoticons', 'fontAwesome', 'specialCharacters', 'embedly', 'insertFile', 'insertHR'],
                        align: 'left',
                        buttonsVisible: 3
                    },

                    moreMisc: {
                        buttons: ['undo', 'redo', 'fullscreen', 'print', 'getPDF', 'spellChecker', 'selectAll', 'html', 'help'],
                        align: 'right',
                        buttonsVisible: 2
                    }
                },
                htmlAllowedTags: ['.*'],
                htmlAllowedAttrs: ['.*'],
            });


        })();
    </script>
    {#    {{ f.getFormJS() }}#}
    {#    {{ dt.datatableJS(class, space, tableAction, tableFields,where) }}#}
{% endblock %}